<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on July 8, 2009 at 9:35:44 am</time-stamp>
<!-- Changes from: PV-Datachannel(Green.258.7.4,bbuxton)  to: PV-Datachannel(Green.258.7.10,bbuxton) -->


<methods>
<class-id>PROVISO.SimpleSerializer</class-id> <category>writing</category>

<body package="PV-Support" selector="writeSmeeArray:">writeSmeeArray: aSmeeArray 
	
	^SimpleSerializerStandIn 
		write: aSmeeArray
		on: self
		read: #readSmeeArray2:
		using: 
			[self writeSmeeObjectProperties: aSmeeArray]</body>
</methods>

<methods>
<class-id>PROVISO.SimpleSerializer</class-id> <category>reading</category>

<body package="PV-Support" selector="readSmeeArray2:">readSmeeArray2: aSmeeArray 
	
	^self readSmeeObjectProperties: aSmeeArray</body>
</methods>



<methods>
<class-id>PROVISO.PvSAMInterface</class-id> <category>private</category>

<body package="SAM-Interface" selector="cleanupTempDirectory">cleanupTempDirectory
	"cleanup temp dir for now...no need to move files to done in this case"
	|  tempDirectory |
	tempDirectory := ForeignDomainMethod basicNew exportFilenameLocalDirectory.
	tempDirectory exists 
		ifFalse: [^self].
	tempDirectory deepDelete</body>
</methods>


<methods>
<class-id>PROVISO.PvSAMJmsInterface</class-id> <category>process management</category>

<body package="SAM-Interface" selector="processNextInventoryChangeEvent">processNextInventoryChangeEvent
	
	^(inventoryChangeQueue nextAvailable: 1) do: [:each | each value]</body>
</methods>

<methods>
<class-id>PROVISO.PvSAMJmsInterface</class-id> <category>testing</category>

<body package="SAM-Interface" selector="stillAlive">stillAlive
	
	^self stillAliveIfNotDo: [:reason | ]</body>

<body package="SAM-Interface" selector="stillAliveIfNotDo:">stillAliveIfNotDo: aBlock 
	
	self isActive 
		ifFalse: 
			[aBlock value: 'SAM JMS external process not active.'.
			^false].
	self isStale 
		ifTrue: 
			[aBlock value: 
				'SAM JMS has not received messages in ' , 
					(self jmsTimeout asMilliSeconds / 1000) asFloat printString , ' seconds'.
			^false].
	^true</body>
</methods>



<methods>
<class-id>PROVISO.SamifServiceInstance</class-id> <category>private</category>

<body package="SAM-Application" selector="connectionUsing:do:">connectionUsing: aSchema do: aBlock 
	
	aSchema samInterface ifNotNil: 
		[:samInterface | samInterface connection ifNotNil: aBlock]</body>
</methods>



</st-source>
